import 'leaflet-draw';
import { DrawOptions, Map, MapViewOptions } from '../types';
declare global {
  interface Window {
    type: any;
  }
}
export declare type ControlPosition = 'topleft' | 'topright' | 'bottomleft' | 'bottomright';
export declare class Leaflet implements Map {
  drawOptions: DrawOptions;
  constructor(drawOptions: DrawOptions);
  map: any;
  navigationControl: any;
  drawControl: any;
  drawnItems: any;
  listeners: any;
  mapboxLayer: any;
  initializeMap(container: HTMLElement, options: MapViewOptions): void;
  setView(options: MapViewOptions): void;
  setZoom(zoomLevel: number): void;
  addNavigationControl(position: ControlPosition): void;
  removeNavigationControl(): void;
  addDrawControl(position?: ControlPosition): void;
  removeDrawControl(): void;
  drawRectangle(bounds: any): void;
  drawCircle(circle: any): void;
  drawMarker(marker: any): void;
  refreshSize(): void;
  fitWorld(): void;
  on(eventName: any, callback: any): void;
  trigger(eventName: any, detail?: any): void;
  normalizePoint({ lat, lng }: {
    lat: any;
    lng: any;
  }): any;
  normalizeLat(lat: any): any;
  normalizeLng(lng: any): any;
  normalizeBox(box: any[]): any[];
}
